Bug 179277 - math/petsc: remove expired math/petsc-mpich from SLAVE_DIRS
Summary: math/petsc: remove expired math/petsc-mpich from SLAVE_DIRS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-03 23:10 UTC by Rene Ladan
Modified: 2013-06-19 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.31 KB, patch)
2013-06-03 23:10 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-06-03 23:10:00 UTC
math/petsc-mpich expired on 2012-07-14, but is mentioned by math/petsc.  Adjust
the latter port, and pet portlint while there.

Fix: Patch attached with submission follows:
How-To-Repeat: `Tools/scripts/rmport math/petsc-mpich` mentions this port.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-03 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-19 12:43:58 UTC
Author: rene
Date: Wed Jun 19 11:43:50 2013
New Revision: 321241
URL: http://svnweb.freebsd.org/changeset/ports/321241

Log:
  - Remove stale reference to expired math/petsc-mpich
  - Convert NOPORTDOCS to PORT_OPTIONS:MDOCS
  
  PR:		ports/179277
  Submitted by:	myself
  Approved by:	maintainer timeout (bf, 16 days)

Modified:
  head/math/petsc/Makefile

Modified: head/math/petsc/Makefile
==============================================================================
--- head/math/petsc/Makefile	Wed Jun 19 11:36:45 2013	(r321240)
+++ head/math/petsc/Makefile	Wed Jun 19 11:43:50 2013	(r321241)
@@ -14,8 +14,6 @@ COMMENT=	Portable, Extensible Toolkit fo
 RUN_DEPENDS=	ksh:${PORTSDIR}/shells/pdksh	\
 		qsub:${PORTSDIR}/sysutils/torque
 
-SLAVEDIRS=	math/petsc-mpich
-
 HAS_CONFIGURE=		yes
 USE_PYTHON=		yes
 CONFIGURE_SCRIPT=	config/configure.py
@@ -54,7 +52,9 @@ CONFIGURE_ARGS+=	--with-umfpack-include=
 			--with-umfpack-lib="[${UMFPACK_LIBS:C/^/${L}/:C/,/, ${L}/g}]"
 .endif
 
-.if !defined(NOPORTDOCS)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
 PORTDOCS=	*
 #USE_TEX=	latex:build
 #BUILD_DEPENDS+=	c2html:${PORTSDIR}/textproc/c2html	\
@@ -65,8 +65,6 @@ LIBSCALAPACK=	${LOCALBASE}/lib/libscalap
 LIBBLACS=	${LOCALBASE}/lib/libblacs.a
 MPIDIR=		${LOCALBASE}
 
-.include <bsd.port.pre.mk>
-
 .if exists(${LOCALBASE}/mpi/openmpi/bin/mpirun)
 WITH_OPENMPI=	yes
 MPIDIR=		${LOCALBASE}/mpi/openmpi
@@ -270,7 +268,7 @@ post-install:
 	${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py ${PREFIX}/${PFX}/bin
 	${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py ${PREFIX}/${PFX}/bmake
 	${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py ${PREFIX}/${PFX}/bmake
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS}	\
 		${MAKEFILE} ${MAKE_ARGS} install_docs)
 .endif
@@ -295,4 +293,4 @@ regression-test:
 . endif
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rene Ladan freebsd_committer 2013-06-19 12:44:54 UTC
State Changed
From-To: open->closed

Committed, maintainer timeout